From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/phodav/
Date: Sun, 15 Jan 2017 16:44:52 +0000 (UTC) [thread overview]
Message-ID: <1484498676.4d34d757998017cba453361a9c0363444eb33a19.pacho@gentoo> (raw)
commit: 4d34d757998017cba453361a9c0363444eb33a19
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 15 16:32:50 2017 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Jan 15 16:44:36 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d34d757
net-libs/phodav: Version bump
Package-Manager: Portage-2.3.3, Repoman-2.3.1
net-libs/phodav/Manifest | 1 +
net-libs/phodav/phodav-2.1.ebuild | 56 +++++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/net-libs/phodav/Manifest b/net-libs/phodav/Manifest
index e190627..4a563eb 100644
--- a/net-libs/phodav/Manifest
+++ b/net-libs/phodav/Manifest
@@ -1 +1,2 @@
DIST phodav-2.0.tar.xz 277672 SHA256 53b42faf2d6edfb0072dbbbe9b8360d8603cca2cacd142df8d1781b9ba0cb9ed SHA512 4da0f3ef7ce2ffd89e43569ad00456f9580f4005a6830a8cc36a7787cc9e06d285326376373a0d690a1868b1c10da0f3ba49b4eb8dcff3042f5c64cbe1fe0aba WHIRLPOOL 5d1ba19f502a72a86e7dbf47ca43cd5d711241fcdb936364c98de88df57cb49db88cdd0768c133bb936c40be98107f06d8b6d8f8cb1b51d2a05e33b83d36f8a4
+DIST phodav-2.1.tar.xz 293128 SHA256 da6073440b4cfd63f4d65b17e1a2a35ff501c7c940591da4533a03c2233ab898 SHA512 e43bd4c9ed97b7454e8452246c37211905b4cff430e91f3d2d36182736e1b8924d6ad477f58f110c98b85f02c085cd12c099020a0bea8abb19e65a9d52e1f4a8 WHIRLPOOL 4091fb0ac23b6a57c385054afa66a61eb038a37593167d888755dad38894898b45d7fcab6fa6d7582e4e2c5f0879e1ac782df2efc03e7e4372ac0a3341a4b10d
diff --git a/net-libs/phodav/phodav-2.1.ebuild b/net-libs/phodav/phodav-2.1.ebuild
new file mode 100644
index 00000000..581ca52
--- /dev/null
+++ b/net-libs/phodav/phodav-2.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit autotools gnome2 systemd udev
+
+DESCRIPTION="WebDav server implementation using libsoup"
+HOMEPAGE="https://wiki.gnome.org/phodav"
+
+LICENSE="LGPL-2.1+"
+SLOT="2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="spice systemd zeroconf"
+
+RDEPEND="
+ dev-libs/glib:2
+ >=net-libs/libsoup-2.48:2.4
+ dev-libs/libxml2
+ zeroconf? ( net-dns/avahi )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.10
+ >=dev-util/intltool-0.40.0
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --program-suffix=-${SLOT} \
+ $(use_with zeroconf avahi) \
+ --with-udevdir=$(get_udevdir) \
+ --with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+
+ if ! use zeroconf ; then
+ sed -i -e 's|avahi-daemon.service||' data/spice-webdavd.service || die
+ fi
+}
+
+src_install() {
+ gnome2_src_install
+
+ if use spice ; then
+ if ! use systemd ; then
+ newinitd "${FILESDIR}/spice-webdavd.initd" spice-webdavd
+ udev_dorules "${FILESDIR}/70-spice-webdavd.rules"
+ rm -r "${D}$(systemd_get_unitdir)" || die
+ fi
+ else
+ rm -r "${D}"{/usr/sbin,$(get_udevdir),$(systemd_get_systemunitdir)} || die
+ fi
+}
next reply other threads:[~2017-01-15 16:45 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-01-15 16:44 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-02-10 15:39 [gentoo-commits] repo/gentoo:master commit in: net-libs/phodav/ Yixun Lan
2022-12-22 11:13 Arthur Zamarin
2022-12-17 6:45 Arthur Zamarin
2022-12-16 20:57 Arthur Zamarin
2022-12-16 20:37 Arthur Zamarin
2022-11-16 0:27 Yixun Lan
2022-10-31 14:28 Matt Turner
2022-10-09 22:43 Matt Turner
2022-10-09 22:43 Matt Turner
2022-06-17 17:45 Matt Turner
2021-06-02 3:04 Matt Turner
2021-05-31 2:00 Matt Turner
2021-05-29 15:27 Sam James
2021-05-29 9:02 Sam James
2021-05-29 6:09 Sam James
2021-05-28 19:20 Sam James
2021-05-28 19:11 Sam James
2019-09-23 9:22 Mart Raudsepp
2019-08-04 19:26 Aaron Bauman
2018-03-15 1:50 Mart Raudsepp
2018-03-14 21:41 Sergei Trofimovich
2018-03-14 21:09 Markus Meier
2018-03-06 21:37 Tobias Klausmann
2018-03-04 20:48 Sergei Trofimovich
2018-01-27 0:41 Thomas Deutschmann
2018-01-18 2:53 Mikle Kolyada
2017-04-23 22:40 Mart Raudsepp
2017-02-24 21:29 Michael Weber
2017-02-24 14:07 Agostino Sarubbo
2017-02-21 9:16 Tobias Klausmann
2017-02-20 2:23 Mart Raudsepp
2017-01-15 16:44 Pacho Ramos
2016-06-22 20:00 Pacho Ramos
2015-11-12 11:07 Agostino Sarubbo
2015-10-03 8:44 Markus Meier
2015-09-28 4:44 Jeroen Roovers
2015-09-16 8:43 Tobias Klausmann
2015-09-07 21:11 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1484498676.4d34d757998017cba453361a9c0363444eb33a19.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox